Subject: Re: git svn --use-log-author misbehavior?

From: Mircea Bardac <[email-masked]>
Date: Fri, 20 Jun 2008 13:04:48 +0100

Fredrik Skolmli wrote:
> On Fri, Jun 20, 2008 at 11:13:17AM +0100, Mircea Bardac wrote:
>> My Git commits (not dcommits) already have "Signed-off-by:" at the end, 
>> added with "git commit -s". When I do a "git svn dcommit" they get 
>> pushed to SVN and the entire commit is rewritten. I have 
>> --add-author-from added on git clone, but nothing else is being added to 
>> the commit except the git-svn-id - from my point of view, according to 
>> the documentation, this is the correct behavior (since there already is 
>> a Signed-off-by line)
>  
> Did you mean "git svn clone" here, not "git clone"?

Yes, I meant "git svn clone".

> And if --use-log-author
> is to be used to get retrieve info from the commits, it should be used
> instead of --add-author-from when doing a clone. (Which as far as I can see
> behaves correctly.)

That is right. I am using them like this, but according to Stephen's 
reply the --use-log-author option is not being saved. I assumed they 
were saved as an option of the git svn clone so that they would affect 
all future dcommits.

--
Mircea
http://mircea.bardac.net